Get Whats Working Report Route
curl --request GET \
--url https://api.example.com/api/v1/brands/{brand_id}/brand-intelligence/reports/whats-working \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/brands/{brand_id}/brand-intelligence/reports/whats-working"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/brands/{brand_id}/brand-intelligence/reports/whats-working', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"brand_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "ok",
"date_preset": "<string>",
"generated_at": "2023-11-07T05:31:56Z",
"account_id": "<string>",
"account_name": "<string>",
"currency": "<string>",
"account_timezone_name": "<string>",
"date_start": "2023-12-25",
"date_end": "2023-12-25",
"rows": [
{
"group_key": "<string>",
"ad_name": "<string>",
"spend": 0,
"impressions": 0,
"clicks": 0,
"link_clicks": 0,
"outbound_clicks": 0,
"purchases": 0,
"purchase_value": 0,
"leads": 0,
"adds_to_cart": 0,
"video_views": 0,
"roas": 123,
"cpa": 123,
"aov": 123,
"cost_per_lead": 123,
"ctr": 123,
"ctr_outbound": 123,
"cpc": 123,
"cpc_link": 123,
"cpm": 123,
"click_to_atc_ratio": 123,
"atc_to_purchase_ratio": 123,
"thumbstop_ratio": 123,
"ad_ids": [
"<string>"
],
"ad_count": 0,
"thumbnail_url": "<string>",
"media_assets": [
{
"ad_id": "<string>",
"provider_key": "<string>",
"media_type": "image",
"source_url": "<string>",
"preview_url": "<string>",
"width": 123,
"height": 123
}
]
}
],
"totals": {
"spend": 0,
"impressions": 0,
"clicks": 0,
"link_clicks": 0,
"outbound_clicks": 0,
"purchases": 0,
"purchase_value": 0,
"leads": 0,
"adds_to_cart": 0,
"video_views": 0,
"roas": 123,
"cpa": 123,
"aov": 123,
"cost_per_lead": 123,
"ctr": 123,
"ctr_outbound": 123,
"cpc": 123,
"cpc_link": 123,
"cpm": 123,
"click_to_atc_ratio": 123,
"atc_to_purchase_ratio": 123,
"thumbstop_ratio": 123
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Brand Intelligence
Get Whats Working Report Route
Live own-account Meta Ads creative-performance report (What’s Working).
GET
/
api
/
v1
/
brands
/
{brand_id}
/
brand-intelligence
/
reports
/
whats-working
Get Whats Working Report Route
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Available options:
spend, roas, cpa, purchase_value, ctr, cpm, purchases, impressions Response
Successful Response
Available options:
ok, not_connected, needs_account_selection Show child attributes
Show child attributes
Aggregated Meta insights metrics for one ad group (or the report totals).
Raw counters are summed across the group's ads; ratio metrics are derived
AFTER aggregation (never averaged) and are None when the denominator
is zero.
Show child attributes
Show child attributes
Was this page helpful?
⌘I